Red Hat Enterprise Linux 6和CentOS 6安全漏洞更新,附内容介绍

使用Red Hat Enterprise Linux 6 和 CentOS 6 这两个版本的用户注意了,有新的安全漏洞更新了,以下为你介绍详情。

Red Hat Enterprise Linux 6和CentOS 6安全漏洞更新,附内容介绍

前言

Red Hat Enterprise Linux 6 和 CentOS 6 GNU/Linux 操作系统进行了一个重要的 Linux 内核安全更新,它解决了几个关键漏洞并修复了各种错误。包括影响 x86 处理器的 Spectre SWAPGS 小工具漏洞(CVE-2019-1125)。

还修补了导致页面缓存侧通道攻击的安全漏洞(CVE-2019-5489),这是 Salsa 20 加密算法中的一个问题,该算法允许本地攻击者导致拒绝服务(CVE-2017-17805),以及一个允许非特权用户检查任意任务堆的漏洞(CVE-2018-17972)。

主要是修复 bug

除了解决上面列出的安全漏洞之外,新的内核安全修补程序还修复了包括运行用户空间脚本后发生的内核崩溃,以及 32 位内核中的一个可分页问题。

此外,还修复了当函数的第二个参数为 NULL 时,V4L2_ctrl_query_Menu 中的 Null 指针异常的 OOPS 问题;congestion_wait( ) 函数中的另一个挂起;fs/binfmt_misc.c 文件中的一个 bug 以及导致 Linux 头中断第三方包编译的错误 Spectre backport。

最后还有一点,内核修补程序修复了一个问题,即使用 RETOPOINE 缓解来防止分支目标注入攻击,据报道,Intel Skylake 处理器在 Red Hat Enterprise Linux 6.10 系统上易受攻击。

新的 Linux 内核安全更新可用于 Red Hat Enterprise Linux Server 6、Red Hat Enterprise Linux WorkStation 6、Red Hat Enterprise Linux Desktop 6、Red Hat Enterprise Linux 6 for IBM z Systems、Red Hat Enterprise Linux 6 for Power、BigEndian、Red Hat Enterprise Linux for Science Computing6 和 CentOS Linux 6 等。

希望使用这些版本的用户尽快更新系统,以免受到不必要的损失。

栏目相关文章